extends Node

func _ready() -> void:
	if "--server" in OS.get_cmdline_args():
		var server := ENetMultiplayerPeer.new()
		var err := server.create_server(12345)
		assert(err == OK)
		get_tree().get_multiplayer().multiplayer_peer = server
		
		await get_tree().create_timer(10.0).timeout
		
		var world := preload("res://spawn_inside_spawn/world.tscn").instantiate()
		add_child(world)
	else:
		var client := ENetMultiplayerPeer.new()
		var err := client.create_client("127.0.0.1", 12345)
		assert(err == OK)
		get_tree().get_multiplayer().multiplayer_peer = client
